# This package will be rebuilt when the packaging of mono has become 
# architecture agnostic. For now, this hack is required

%define monodir %{_prefix}/lib

Summary: A full-featured IDE for Mono and Gtk sharp
Name: monodevelop
Version: 0.11
Release: 16%{?dist}
License: GPL
Group: Development/Tools
Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.gz
URL: http://go-mono.com/sources/%{name}/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: mono-devel, gtk-sharp2, gecko-sharp2, intltool, gettext, bytefx-data-mysql,  mono-data-postgresql, mono-data-oracle, mono-data-sqlite, mono-data-sybase, mono-nunit, gtk-sharp2-gapi, shared-mime-info, pkgconfig, gtksourceview-sharp-devel, monodoc-devel, ikvm-devel
BuildRequires: autoconf, automake
Requires: mono-core, ikvm, boo, monodoc, gecko-sharp2, gtksourceview-sharp bytefx-data-mysql mono-nunit mono-data-postgresql mono-data-sybase mono-data-oracle

%description
This package provides MonoDevelop, a full-featured IDE for Mono
with syntax colouring, code completion, debugging, project 
management and support for C sharp, Visual Basic.NET, Java, Boo,
Nemerle and MSIL.

%package devel
Summary: Development files for monodevelop
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig
 
%description devel
Development files for monodevelop

%prep
%setup -q 

%build
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig:%{_prefix}/lib/pkgconfig/:%{_datadir}/pkgconfig/:$PKG_CONFIG_PATH
%configure --enable-boo --enable-java --enable-versioncontrol --libdir=%{monodir}
make
# no smp flags as it falls over during the build (race condition)

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
desktop-file-install --vendor fedora \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category X-Fedora \
        --delete-original \
        %{buildroot}%{_datadir}/applications/monodevelop.desktop

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr (-,root,root,-)
%{_bindir}/mdtool
%{_bindir}/monodevelop
%doc AUTHORS COPYING ChangeLog README
%{monodir}/monodevelop/
%exclude %{_datadir}/mime/XMLnamespaces
%exclude %{_datadir}/mime/aliases
%{_datadir}/mime/globs
%{_datadir}/mime/magic
%{_datadir}/mime/mime.cache
%{_datadir}/mime/packages/monodevelop.xml
%{_datadir}/mime/application/*.xml
%exclude %{_datadir}/mime/subclasses
%{_datadir}/mime/text/x-*.xml
%{_datadir}/pixmaps/monodevelop.png
%{_datadir}/applications/fedora-monodevelop.desktop

%files devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/monodevelop.pc

%clean
%{__rm} -rf %{buildroot}

%changelog
* Fri Aug 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-16
- fixed ownership problem in spec file
- added comment about the libdir hack

* Wed Aug 02 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-15
- removed R which, added R mono-nunit
- changed R bytefx-data-mysq to msql
- altered update-mime-info and added update-desktop-database
- added R pkgconfig to devel
- added comment as to why smp_flags are not used on the build

* Sat Jul 29 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-14
- Added additional Rs
- minor specfile tweaks

* Sun Jul 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-12
- fixed which problem
- fixes the libdir issue for 64 bit

* Sun Jul 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-11
- minor spec files changes to satisfy rpmlint
- added BR ikvm-devel

* Sun Jul 09 2006 John Mahowald  <jpmahowald@gmail.com> - 0.11-10
- libdir fixes
- BR mono-data-sqlite

* Sun Jul 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-9
- removed noarch
- added a couple of patches from the new nant package
- fixes for new mono guidelines

* Wed Jun 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-8
- Removed libdir hack
- Added BR pkgconfig
- Added R monodoc
- Altered configure line to satisfy the parts required

* Mon Jun 05 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-7
- Added additional fix for 64 bit systems

* Sun Jun 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-6
- Minor mod to the BR
- Fixed the desktop-file-install problem

* Sat Jun 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-5
- Removed duplicate desktop file

* Sat Jun 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-4
- Removed R filesystem
- Simplified mime-applications
- Added scriptlets to handle mime info
- Corrected handling of desktop icon
- Removed INSTALL file

* Sat Jun 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-3
- Added BR shared-mime-info
- Added R filesystem
- Made all of the bindir and datadir ownerships explicit

* Wed May 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-2
- Added devel
- Added fix for 64 bit systems

* Sun May 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.11-1
- bump to new version
- added exclude archs for x86_64 and ia64 due to build problems

* Wed Apr 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-8
- removed smp_flags
- added boo and ikvm support

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-7
- removed static usrlib
- added export macros to fix the x86_64 problem
- disabled boo

* Wed Apr 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-6
- spec file version correctly bumped
- small spec file fixed
- enable-boo and enable-java added to the %%configure line

* Mon Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-5
- libdir now usr-lib irrespective of hardware built on

* Mon Apr 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-4
- Altered install script somewhat
- Changed the path for the monodevelop libdir to be FE compliant
- Fixed source and URL

* Sat Apr 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-3
- Add in boo and mono-debugger
- fixed a couple of minor spec file bugs
- fixed MonoDevelop.Core not being found in the addins

* Wed Apr 5 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-2
- Additional buildreqs and two typo fixed - thanks to Angel Marin again

* Wed Apr 5 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.10-1
- Bump to new version
- mods to spec file for new version

* Wed Apr 5 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.9-3
- minor tweaks
- fixed a couple of typos - thanks to Angel Marin for spotting them

* Wed Jan 25 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.9-2
- added deps for ikvm and bytefx-data-mysql
- removed language support for the moment

* Mon Jan 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.9-1
- Initial import

